#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""Base configuration settings."""

# Dummy translate function so we can extract text
_ = lambda x: x

TITLE = _("Pootle Demo")

# Translators: Change the language code (en) to your language code, and replace
# ltr with rtl if you language is written from right to left.
DESCRIPTION = _("""<div dir="ltr" lang="en">
<h2>This is a demo installation of Pootle.</h2>
<p>You can also visit the official <a href="http://pootle.locamotion.org">Pootle server</a>. The server administrator has not provided contact information or a description of this server. If you are the administrator for this server, edit this description in your preference file or in the administration interface.</p>
</div>
""")


# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
# If you are using Django 1.3, you have to keep it as 'UTC'.
TIME_ZONE = 'UTC'


# Whether or not to be timezone aware. It is strongly recommended to keep this
# set to True (the default). Django 1.3 doesn't support this, but the last
# settings file will disable it in that case.
USE_TZ = True

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'en-us'

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True


# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = working_path('media') + '/'

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = '/media/'

# The absolute path to the directory where collectstatic
# will collect static files for deployment.
# Example: "/var/www/example.com/static/"
STATIC_ROOT = working_path('assets') + '/'

# URL to use when referring to static files located in
# STATIC_ROOT.
# Example: "/static/" or "http://static.example.com/"
STATIC_URL = '/assets/'

STATICFILES_DIRS = [
    working_path('static'),
]

# Make this unique, and don't share it with anybody.
# TODO: We should find a way to reset this for new installations.
SECRET_KEY = '^&4$dlpce2_pnronsi289xd7-9ke10q_%wa@9srm@zaa!ig@1k'
